// Class Code Set 22


// Sound test



PFont f;

//audio
import ddf.minim.*;
Minim minim;
AudioPlayer s1, s2, s3, s4, s5;


void setup( )
{
   size( 400, 400 );
   f = loadFont( "f.vlw" );
   textFont( f, 24 );
   textAlign(CENTER);
  // audio
  minim = new Minim(this);
  s1 = minim.loadFile("t1.wav");
  s2 = minim.loadFile("t2.wav"); 
  s3 = minim.loadFile("t3.wav");
  s4 = minim.loadFile("t4.wav");
  s5 = minim.loadFile("t5.wav", 1024);
}


void draw( )
{
   drawSquares( );
}

void drawSquares( )
{
    textSize( 24 );
    fill( 255, 0, 0 );
    rect( 0, 0, width/2, height/2);
    fill( 0 );
    text( "Bang", width/2/2, height/2/2 );
    
    fill( 0, 255, 0 );
    rect( width/2, 0, width/2, height/2);
    fill( 0 );
    text( "Screech", width/2+width/2/2, height/2/2 );
    
    fill( 0, 0, 255 );
    rect( 0, height/2, width/2, height/2);
    fill( 0 );
    text( "Boom", width/2/2, height/2+height/2/2 );
    
    fill( 255, 255, 0);
    rect( width/2, height/2, width/2, height/2);
    fill( 0 );
    text( "Thud", width/2+width/2/2, height/2+height/2/2 );
    
    fill( 0, 255, 255 );
    ellipse( width/2, height/2, width*.2, height*.2);
    fill( 0 );
    textSize( 12 );
    text( " Hold\nButton\nDown\nBoink", width/2, height*.45);
   
}

void mousePressed( )
{
   if ( dist( mouseX, mouseY, width/2, height/2) < width*.1 )
   { 
        s5.loop( );
   }
   else if ( mouseX < width/2)
   {
     if (mouseY < height/2)
     {
       s1.play( );
       s1 = minim.loadFile("t1.wav");
     }
     else
     {
       s2.play( );
       s2 = minim.loadFile("t2.wav"); 
     }
   }
   else
   {
    if (mouseY < height/2)
     {
       s3.play( );
       s3 = minim.loadFile("t3.wav");
     }
     else
     {
       s4.play( );
       s4 = minim.loadFile("t4.wav");
     }     
   }
}

void mouseReleased( )
{
   s5.pause( );
   s5.rewind( ); 
}

void stop( )
{
   // always close audio I/O classes
  s1.close();
  s2.close();
  s3.close();
  s4.close();
  s5.close();
  // always stop your Minim object
  minim.stop();
  super.stop(); 

}
